Get suspicious transactions
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}{}{}{}Compliance
Get suspicious transactions
Retrieve transactions flagged as suspicious by fraud detection system
GET
/
transactions
/
suspicious
Get suspicious transactions
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/transactions/suspicious"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}{}{}{}Authorizations
JWT token from admin login for administrative operations. Format: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'
Query Parameters
Page number
Records per page (max 100)
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Risk severity: low, medium, high, critical, all
Review status: pending, under_review, cleared, confirmed, all
Filter by subscriber ID
Filter by agent ID
Transaction type filter
Minimum amount filter
Maximum amount filter
Sort field: created_at, amount, severity, risk_score
Sort order: asc, desc
Response
Suspicious transactions retrieved
The response is of type object.
⌘I